body {
  font-family: 'Ubuntu', sans-serif;
  background: linear-gradient(135deg, #100026 0%, #1a1036 100%);
  color: white;
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
}
.auth-container {
  width: 90%;
  max-width: 1000px;
  display: flex;
  border-radius: 18px;
  overflow: hidden;
  background: rgba(255, 255, 255, .05);
  backdrop-filter: blur(12px);
  border: 1px solid rgba(255, 255, 255, .13);
  box-shadow: 0 15px 45px rgba(0, 0, 0, .6);
}
.auth-left {
  flex: 1;
  background: linear-gradient(to bottom right, #6b3bff, #35007a);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 40px 25px;
  text-align: center;
}
.auth-logo {
  width: 160px;
  margin-bottom: 30px;
  filter: drop-shadow(0 0 10px #000);
}
.auth-left h1 {
  font-size: 34px;
  margin-bottom: 12px;
}
.auth-right {
  flex: 1;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 30px;
}
.auth-form {
  width: 100%;
  max-width: 380px;
  background: #bb86fc;
  border-radius: 16px;
  padding: 40px 35px;
  box-shadow: inset 0 0 12px #c400ff55;
}
.auth-form h2 {
  text-align: center;
  margin-bottom: 25px;
  color: #3b1d5c;
}
.auth-form input {
  width: 100%;
  padding: 13px 14px;
  margin-bottom: 18px;
  border: none;
  border-radius: 8px;
  background: #222;
  color: #fff;
  font-size: 15px;
}
.auth-form input:focus {
  outline: none;
  box-shadow: 0 0 8px #c400ff80, 0 0 20px #c400ff40;
}
.auth-form button {
  width: 100%;
  padding: 14px;
  font-weight: 700;
  font-size: 15px;
  border: none;
  border-radius: 8px;
  background: #2e223f;
  color: #fff;
  cursor: pointer;
  transition: all 0.25s;
}
.auth-form button:hover {
  background: #512c7e;;
  transform: translateY(-2px);
  box-shadow: 0 6px 14px rgba(0, 0, 0, .35);
}
.auth-alt {
  margin-top: 18px;
  text-align: center;
  font-size: 14px;
}
.auth-alt a {
  color: #c400ff;
  text-decoration: none;
}
.auth-alt a:hover {
  text-decoration: underline;
}
@media(max-width: 768px){
  .auth-container { flex-direction: column; }
  .auth-left, .auth-right { width: 100%; }
}
.alert-login {
margin-bottom: 1em;
text-align: center;
}
.error-box {
padding: 0.8em 1em;
border-radius: 8px;
max-width: 500px;
margin: 0 auto;
font-weight: bold;
font-size: 0.95em;
box-shadow: 0 0 8px rgba(255, 0, 0, 0.2);
background: rgba(255, 0, 0, 0.1);
border: 1px solid #ff3b3b;
color: #ff4e4e;
}